Subject: Re: rebase addon - Bas and Size listing of dll's without rebasing
From: Jason Tishler <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: Ralf Habacker <[email-masked]>, Cygwin <[email-masked]>
Date: Thu, 3 Jan 2002 08:28:35 -0500

Rob,

On Fri, Dec 28, 2001 at 11:06:35AM +1100, Robert Collins wrote:
> ----- Original Message -----
> From: "Jason Tishler" <[email-masked]>
> > After the above is completed, then I would entertain adding such an
> > option if the community deemed it appropriate.  But, wouldn't
> > implementing it via ReBaseImage()'s fReBase parameter as opposed to
> > plucking certain bytes out of the executable be a better approach?  I
> > presume that this is how MS implements their '-s' (just sum image
> range)
> > option.
> 
> IMO we should be using bfd not the MS helper libraries - in the long
> term. Otherwise one cannot do any of this as part of a cross compile or
> cross-manipulation toolkit.

Good point.

I'm willing to do the right thing, but that is going to take longer given
the ramp up necessary for me learn about binutils' configury/make, bfd,
etc.  However, I would like to get a rebase solution into setup.exe ASAP.
Is a two prong approach acceptable?  In the short term, add rebase to
winsup/utils, integrate directly into setup.exe, etc.  In the long term,
add rebase to binutils, integrate with ld, etc.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/